cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Lundquist ...@wrinkledog.com>
Subject Re: [VOTE] Drop JDK1.3 support after 2.1.10 release
Date Mon, 18 Dec 2006 19:37:41 GMT

On Dec 17, 2006, at 8:26 PM, Antonio Gallardo wrote:

>>
>> I would be voting -1 in behalf of unheard users.
>>
> Thanks Niclas, here we go: I vote -1 for the reasons stated above. 
> Changing the user contracts is not fair.

I'd say that you owe to users the chance to become "heard" by asking on 
the users' list, and then users who choose to remain "unheard" do not 
have standing.  If it turns out that nobody on the users' list gives a 
rip about Java 1.3, then this whole thing is moot.  If users *do* give 
a rip, then the answer might *still* be "too freakin' bad!"  What else? 
  "Bummer about Cocoon, they could never release 2.1.11 because they 
couldn't do it without 'changing the contracts' and there were no 
resources to do the work to make it 1.3-compatible"?  If the choice 
truly is between that and ending 1.3 compatibility, then screw 1.3 and 
at least get out a final 2.1.  Remember, the previous 1.3-compatible 
releases of Cocoon are not going to suddenly stop working.

OK, I'm all done ranting on this thread...

cheers,
—ml—

Mime
View raw message